## isc-dhcp 4.3.1

=== debian/changelog ===
isc-dhcp (4.3.1-6+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2016-2774
    Limit number of simultaneous open TCP connections to OMAPI port of
    the server in order to avoid a denial of service.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 23 Nov 2019 19:03:02 +0100

isc-dhcp (4.3.1-6+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Plugs a socket descriptor leak in OMAPI (CVE-2017-3144) (Closes: #887413)
  * Corrected refcnt loss in option parsing (CVE-2018-5733) (Closes: #891785)
  * Correct buffer overrun in pretty_print_option (CVE-2018-5732)
    (Closes: #891786)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 04 Mar 2018 11:20:38 +0100

isc-dhcp (4.3.1-6+deb8u2) jessie-security; urgency=high

  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications (server, client, or relay) to crash.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 09 Jan 2016 20:57:22 +0000

isc-dhcp (4.3.1-6+deb8u1) jessie; urgency=medium

  [ Michael Gilbert ]
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 08 Oct 2015 11:54:59 +0000

isc-dhcp (4.3.1-6) unstable; urgency=medium

  * Fix a regression in error handling for the server's init script
    (closes: #775834).
    - Thanks to François-Régis Vuillemin.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 05:13:19 +0000

isc-dhcp (4.3.1-5) unstable; urgency=medium

  * Dynamically link against system bind libraries.

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 16 Oct 2014 01:28:44 +0000

isc-dhcp (4.3.1-4) unstable; urgency=medium

  * Bump standards to 3.9.6.
  * Correct netmask handling in dhclient-script.linux.udeb (closes: #759761).
  * Fix missing alias_subnet_mask in dhclient-script.linux (closes: #691091).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Oct 2014 22:10:15 +0000

isc-dhcp (4.3.1-3) unstable; urgency=medium

  * Ignore arguments passed to sourced scripts (closes: #763208).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Sep 2014 21:00:36 +0000

isc-dhcp (4.3.1-2) unstable; urgency=medium

  * Use /bin/sh instead of /bin/bash for dhclient scripts (closes: #762923).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 Sep 2014 21:57:28 +0000

isc-dhcp (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Avoid divide by zero issue (closes: #694650).
  * Correct typo in dhclient-script.linux (closes: #748272).
  * Ensure dhcpd.leases exists for the server init script (closes: #720860).

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 13 Aug 2014 23:36:21 +0000

isc-dhcp (4.3.1~b1-1) experimental; urgency=medium

  * New upstream beta release.
  * Add debian/README.source.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 19 Jul 2014 22:06:23 +0000

isc-dhcp (4.3.0+dfsg-2) unstable; urgency=medium

  * Ship dhcp-lease-list (closes: #741488).
  * Fix lease removal in postrm (closes: #724033).
  * Add upstream public signing key for uscan verification.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jun 2014 01:07:09 +0000

isc-dhcp (4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release.
  * Update debian/copyright to format 1.0.
  * Depend on iproute2 instead of iproute (closes: #742151).
  * Depend on freebsd-net-tools for kfreebsd (closes: #738934).
  * Acknowledge and apply the non-maintainer upload (closes: #747017).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 May 2014 21:54:01 +0000

isc-dhcp (4.3.0a1-2.1) experimental; urgency=medium

  * Non-Maintainer Upload
  * rules: Fix bind patching.
  * bind-patches/hurd: Add upstream patch to fix Hurd build.
  * rules: Select proper backends in the Hurd case.
  * dhclient-script.hurd, dhclient-script.hurd.udeb,
    rfc3442-classless-routes.hurd: Add Hurd scripts.
  * Closes: #616290.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Apr 2014 22:14:44 +0200

isc-dhcp (4.3.0a1-2) experimental; urgency=medium

  * Remove unused template.
  * Remove unnecessary breaks.
  * Fix version control fields.
  * Escape hyphens in manpages.
  * Enable all build hardening flags.
  * Fix init functions lintian warning.
  * Create the /var/lib/dhcp directory (closes: #734773).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 10 Jan 2014 04:00:42 +0000

isc-dhcp (4.3.0a1-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper 9 and and simplified debian rules.
  * Use a single package for debugging symbols.
  * Bump standards to 3.9.5.
  * Update watch file.
  * Use dh-autoreconf.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Dec 2013 22:04:30 +0000
