## isc-dhcp 4.3.3

=== debian/changelog ===
isc-dhcp (4.3.3-8) unstable; urgency=medium

  * Fix typos in recent changes to the server init script.
  * Support server configurations still using INTERFACES (closes: #813339).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 Feb 2016 18:38:20 +0000

isc-dhcp (4.3.3-7) unstable; urgency=medium

  * Migrate to dbgsym debug packages.
  * Fix spelling error in changelog entry.
  * Include LDFLAGS in all calls to configure.
  * Fix relaying return packets (closes: #648401).
    - Thanks to Steinar H. Gunderson.
  * Fix cross-architecture building (closes: #812525).
    - Thanks to Helmut Grohne.
  * Initialize exit status in dhclient-script (closes: #800914).
  * Fix CVE-2015-8605: maliciously crafted IPv4 packet can cause any of the
    running DHCP applications to crash (closes: #810875).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 31 Jan 2016 01:31:59 +0000

isc-dhcp (4.3.3-6) experimental; urgency=medium

  * Fix missing build flags from the last upload.
  * Support IPv6 in the server init script (closes: #592539).
    - Thanks to Florent Fourcot and Ron Murray.
  * Don't assume an IPv6 prefix length of 64 (closes: #684009).
    - Thanks to Arne Nordmark.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Oct 2015 03:24:47 +0000

isc-dhcp (4.3.3-5) unstable; urgency=medium

  * Add dependencies for the debug package.
  * Fix comments in the debug script (closes: #773804).
  * Add diversions for isc-dhcp-client-ddns (closes: #800749).
  * Fix directory output by the debug script (closes: #794770).
  * Fix exit code handling in dhclient-script (closes: #692846).
  * Escape parentheses in init script sed command (closes: #771530).
  * Add more IP address detail to dhclient output (closes: #486611).
  * Add dhcp6.fqdn and dhcp6.sntp-servers to the default request options.
  * Avoid infinite loop caused by misconfigured rfc3442-classless-static-routes
    (closes: #730294).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Oct 2015 18:41:26 +0000

isc-dhcp (4.3.3-4) unstable; urgency=medium

  * Reenable NSUPDATE (closes: #798237).
  * Add a DDNS enabled dhclient package.
  * Include README file (closes: #791788).
  * Recommend rather than depend on policycoreutils.
  * Finish replacing macros in manpages (closes: #773801).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 20 Sep 2015 20:39:58 +0000

isc-dhcp (4.3.3-3) unstable; urgency=medium

  * Revert change to lease file paths (closes: #798177).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Sep 2015 16:47:39 +0000

isc-dhcp (4.3.3-2) unstable; urgency=medium

  * Use default paths for lease files.
  * Move omshell into the server package.
  * Avoid unnecessary libirs dependencies.
  * Recommend rather than depend isc-dhcp-common.
  * Disable NSUPDATE (closes: #712503).
  * Update translation (closes: #677918).
  * Enable pid file logging (closes: #792928).
  * Fix variables in manpages (closes: #570895).
  * Use a symlink for the debug script (closes: #794771).
  * Enable -user, -group, and -chroot server options (closes: #793490).
  * Avoid launching the server when its already running (closes: #704175).
  * Fix error when max lease time is used on 64-bit systems (closes: #795227).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Sep 2015 04:21:05 +0000

isc-dhcp (4.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Add uversionmangle to debian/watch.
  * Restore Enhances field for the ldap package (closes: #790164).
  * Add a logcheck snippet for the server package (closes: #688339).
    - Thanks to Jonathan Wiltshire.
  * Add DHCPv6 support to dhclient-script.linux.udeb (closes: #635897).
    - Thanks to Colin Watson.
  * Add policycoreutils dependency to isc-dhcp-server (closes: #797276).
  * Fix undefined variables in dhclient-script.kfreebsd (closes: #691090).
    - Thanks to Peter Marschall.
  * Avoid condition where hostname could be set to '(none)' (closes: #604883).
    - Thanks to Pavel Cahyna.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Sep 2015 19:20:42 +0000

isc-dhcp (4.3.2-1) unstable; urgency=medium

  * New upstream stable release.
    - Many fixes to incorrect checksumming (closes: #353161, #652739).
    - VLAN packets now only seen on VLAN interfaces (closes: #643564).
  * Remove references to old dhcp3 packages (closes: #773476).
  * Replace signing key with new upstream version.
  * Fix typo in debug script (closes: #781768).
  * Drop bind from the upstream tarball.
  * Drop transitional debug packages.
  * Drop dhcp3 conffile handling.
  * Update debian/copyright.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 10 May 2015 22:44:17 +0000
