## isc-dhcp 4.3.3-5ubuntu12+8.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.3-5ubuntu12+8.0trisquel1) flidas; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Jun 2016 16:20:29 +0000

isc-dhcp (4.3.3-5ubuntu12) xenial; urgency=medium

  * debian/apparmor/sbin.dhclient: Add the attach_disconnected flag to prevent
    disconnected path denials as seen with the new 1.1.93 based
    network-manager (LP: #1568485)

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 13 Apr 2016 10:02:12 -0500

isc-dhcp (4.3.3-5ubuntu11) xenial; urgency=medium

  * No change upload for rebuild

 -- LaMont Jones <lamont@canonical.com>  Fri, 18 Mar 2016 10:36:57 -0600

isc-dhcp (4.3.3-5ubuntu10) xenial; urgency=low

  [ Stefan Bader ]
  * Revert back to bind against bind9 export libraries
    (LP: #1556175, LP: #1551351)

  [ LaMont Jones ]
  * libirs-export requires libisccfg-export now

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 17 Mar 2016 17:45:53 +0100

isc-dhcp (4.3.3-5ubuntu9) xenial; urgency=medium

  * debian/isc-dhcp-server.isc-dhcp-server{,6}.service: adjust permissions
    for most recent PARANOIA commits to avoid granting 'capability
    dac_override' in the AppArmor profile on second and subsequent starts
    (LP: #1543794):
    - /var/lib/dhcp is root:dhcpd and 775
    - /var/lib/dhcp/dhcpd{,6}.leases is root:dhcpd and 664
    - don't chown /run/dhcp-server to dhcpd:dhcpd since the pid file is now
      created as root:root and the pid file was not being created before. If
      this needs to be reintroduced in the future, use root:dhcpd and 775,
      like with the leases file.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 01 Mar 2016 08:19:43 -0600

isc-dhcp (4.3.3-5ubuntu8) xenial; urgency=medium

  * debian/apparmor/sbin.dhclient: include the openssl abstraction
    (LP: #1543794)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 25 Feb 2016 08:32:37 -0600

isc-dhcp (4.3.3-5ubuntu7) xenial; urgency=medium

  * Link with the non-export bind9 libraries.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 13:19:29 +0100

isc-dhcp (4.3.3-5ubuntu6) xenial; urgency=medium

  * isc-dhcp-server: Suggest policycoreutils instead of recommending it.
  * Build-depend on libbind-dev instead of libbind-export-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 13:02:25 +0100

isc-dhcp (4.3.3-5ubuntu5) xenial; urgency=medium

  * No-change rebuild using the updated bind9.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 23:17:52 +0100

isc-dhcp (4.3.3-5ubuntu4) xenial; urgency=medium

  * Allow chown - PARANOIA means that dhcpd tries to chown the leases file
    for later use. LP: #1537789

 -- LaMont Jones <lamont@canonical.com>  Mon, 25 Jan 2016 12:17:39 -0700

isc-dhcp (4.3.3-5ubuntu2) xenial; urgency=medium

  * Correct my previous upload: Create the initial leases file if it doesn't
    exist when isc-dhcp-server or isc-dhcp-server6 are started, because it
    won't do it by itself. (LP: #1535952)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 20 Jan 2016 13:24:59 -0500

isc-dhcp (4.3.3-5ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Apparmor profiles for dhclient and dhcpd.
    - Create user/group dhcpd.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Sanitize environment in dhclient-script.linux.
    - Wait for /etc/resolv.conf to be writable in dhclient-script.linux.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of /etc/dhcp/dhcpd.conf
    - Add an 'option subnet-mask' example to config.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Upstart jobs for isc-dhcp-server, isc-dhcp-server6, isc-dhcp-relay and
      isc-dhcp-relay6.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server.
      + multi-ip-addr-per-if.
      + dhclient-safer-timeout.
      + onetry_retry_after_initial_success.
      + dhcp-getifaddrs.patch
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + CVE-2015-8605.patch
  * debian/patches/CVE-2015-8605.patch: refreshed for 4.3.3.
  * debian/patches/system-bind.patch: add -lirs-export to linking libraries
    for dhclient, dhcpd, omshell and dhcrelay since omapip now requires it.
  * debian/isc-dhcp-server*.{upstart,service}: don't chown lease files, since
    the permissions handling in paranoia mode is now done correctly so that
    dhcpd can rotate them. (LP: #1186662)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 13 Jan 2016 15:41:45 -0500

isc-dhcp (4.3.1-5ubuntu5) xenial; urgency=medium

  * SECURITY UPDATE: denial of service via incorrect UDP payload length
    - debian/patches/CVE-2015-8605.patch: properly check payload length in
      common/packet.c.
    - CVE-2015-8605

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jan 2016 08:43:37 -0500

isc-dhcp (4.3.1-5ubuntu4) xenial; urgency=medium

  [ John Johansen ]
  * debian/apparmor/sbin.dhclient: fix signal rule typo in nm-dhcp-helper
    profile (LP: #1515818)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 13 Nov 2015 08:16:54 -0600

isc-dhcp (4.3.1-5ubuntu3) wily; urgency=medium

  [ Rafael David Tinoco (Inaddy) ]
  * replaced broken IB support with working one (LP: #1401141)
  * removed:
    - d/p/infiniband_lpf
    - d/p/infiniband_improved_xid
  * added: 
    + d/p/dhcp-lpf-ib.patch
    + d/p/dhcp-improved-xid.patch
    + d/p/dhcp-gpxe-cid.patch
    + d/p/dhcp-improved-xid-correct-byte-order.patch

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 11 May 2015 14:23:41 -0400

isc-dhcp (4.3.1-5ubuntu2.1) vivid-proposed; urgency=medium


