## isc-dhcp 4.3.3-5ubuntu12.10+8.0trisquel1

=== debian/changelog ===
isc-dhcp (4.3.3-5ubuntu12.10+8.0trisquel1) flidas; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 16 Mar 2018 11:33:20 +0000

isc-dhcp (4.3.3-5ubuntu12.10) xenial; urgency=medium

  * dhclient-script.linux: handle empty case also when waiting for ipv6 link
    local DAD. (LP: #1718568)

 -- Dan Streetman <dan.streetman@canonical.com>  Fri, 02 Mar 2018 13:16:05 -0500
