=== debian/changelog ===
isc-dhcp (4.3.5-3.2) unstable; urgency=medium

  * comment out prepend domain-name-servers 127.0.0.1; in dhclient.conf

 -- anticapitalista <antix@operamail.com>  Tue, 03 Oct 2017 13:38:37 +0300

isc-dhcp (4.3.5-3.1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Wed, 20 Sep 2017 00:47:17 +0100

isc-dhcp (4.3.5-3) unstable; urgency=medium

  * Add support for read-only /etc (closes: #642544).
    - Thanks to Scott Moser.
  * Wait for /etc/resolv.conf to become writable (closes: #687337).
    - Thanks to Stéphane Graber.
  * Suggest policykit-1 instead of depending on it (closes: #850726).
  * Fix typo in --with-randomdev configure argument (closes: #838382).
  * Touch dhcpd6.leases before starting an ipv6 server (closes: #824770).
    - Thanks to Terry Burton.
  * Use getifaddrs() system call to handle alias interfaces (closes: #605657).
    - Thanks to Jiri Popelka.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 09 Jan 2017 04:55:32 +0000

isc-dhcp (4.3.5-2) unstable; urgency=medium

  * Fix new upstream spelling errors.
  * Add policykit-1 dependency to the server package (closes: #816325).
  * Parse IPv6 server process id from the correct file (closes: #841766).
  * Initialize all local variables in dhclient scripts (closes: #849100).
  * Pass random device to configure when cross building (closes: #838382).
    - Thanks to Helmut Grohne.
  * Don't wait for a reply that will never come when releasing an ipv6 address
    (closes: #769189).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 08 Jan 2017 23:11:52 +0000

isc-dhcp (4.3.5-1) unstable; urgency=medium

  * New upstream release.
  * Add lsb-base dependency to isc-dhcp-relay.
  * Use the original author's dhcp-lease-list manpage.
  * Correct the description of the common package (closes: #832782).
  * If no interfaces have been specified, start servers for both IPv4 and IPv6
    (closes: #815319).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Nov 2016 06:44:09 +0000

isc-dhcp (4.3.5~b1-1) unstable; urgency=medium

  * New upstream beta release.
  * Fix some lintian warnings.
  * Increase standards version.
  * Update version control fields.
  * Fix new upstream spelling mistakes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Sep 2016 22:59:15 +0000

isc-dhcp (4.3.4-1) unstable; urgency=medium

  * New upstream stable release (closes: #817158).
  * Touch dhcpd.leases in the server init script (closes: 765910).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 05 Apr 2016 03:27:34 +0000

isc-dhcp (4.3.4~b1-1) experimental; urgency=medium

  * New upstream beta release:
    - Fix CVE-2016-2774: limit the number of server TCP connections to 200.
  * Link against bind 9.10.3.
  * Include a manpage for dhcp-lease-list.
  * Fix an error in the dhcpd.conf manpage.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 26 Mar 2016 01:55:17 +0000

isc-dhcp (4.3.3-9) unstable; urgency=medium

  * Update standards version.
  * Drop manpage hyphens patch.
  * Install upstream changelogs.
  * Install an example dhcpd6.conf file.
  * Install upstream's README file (closes: #791788).
  * Fix incorrect path in dhcp-lease-list script (closes: #814693).
  * Add a status option to the relay init stript (closes: #726604).
  * Check IPv4 and IPv6 server status independently (closes: #815180).
  * Use /etc/dhcp/dhcpd6.conf for the IPv6 server settings (closes: #816008).
  * Touch dhcpd.leases during postinst if it doesn't exist (closes: #765910).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 28 Feb 2016 20:38:52 +0000
