=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: Debian ISC DHCP maintainers <pkg-dhcp-devel@lists.alioth.debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>, Michael Gilbert <mgilbert@debian.org>
-Vcs-Git: git://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
+Vcs-Git: https://anonscm.debian.org/pkg-dhcp/isc-dhcp.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-dhcp/isc-dhcp.git;a=summary
 Homepage: http://www.isc.org
 Build-Depends:
  dpkg-dev (>= 1.13.2),
@@ -15,8 +15,8 @@
  po-debconf,
  libssl-dev,
  libldap2-dev,
- libbind-export-dev (>= 1:9.9.5.dfsg-4.3),
-Standards-Version: 3.9.6
+ libbind-export-dev (>= 1:9.10.3.dfsg.P4-2),
+Standards-Version: 3.9.8
 
 Package: isc-dhcp-server
 Priority: optional
@@ -29,14 +29,13 @@
 Recommends:
  isc-dhcp-common,
  policycoreutils,
-Conflicts:
- dhcp,
- logcheck-database (<= 1.3.17~)
 Breaks:
  isc-dhcp-common (<= 4.3.3-1),
+ logcheck-database (<= 1.3.17~)
 Replaces:
  isc-dhcp-common (<= 4.3.3-1),
 Suggests:
+ policykit-1,
  isc-dhcp-server-ldap,
 Description: ISC DHCP server for automatic IP address assignment
  This is the Internet Software Consortium's DHCP server.
@@ -75,10 +74,12 @@
 Depends:
  ${misc:Depends},
  debianutils (>= 2.8.2),
-Description: common files used by all of the isc-dhcp packages
- This package includes all of the files that are used in common by the various
- ISC DHCP packages, such as the dhcp-eval and dhcp-options manpages and the
- OMAPI command shell.
+Description: common manpages relevant to all of the isc-dhcp packages
+ This package includes manpages that are relevant to the various ISC DHCP
+ packages.
+ .
+ The dhcp-options manpage describes available options for dhcpd and dhclient.
+ The dhcp-eval manpage describes evaluation of conditional expressions.
 
 Package: isc-dhcp-dev
 Priority: optional
@@ -156,6 +157,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ lsb-base (>= 3.0-6),
  debianutils (>= 2.8.2),
 Recommends:
  isc-dhcp-common,
