=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 # cross-architecture building
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+CONFFLAGS+=--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) --with-randomdev=/dev/random
 endif
 
 # hurd support
@@ -58,6 +58,11 @@
 	$(MAKE)
 
 override_dh_install:
+	# rename some upstream files
+	cp RELNOTES debian/tmp/changelog
+	cp server/dhcpd.conf.example debian/tmp/dhcpd.conf
+	cp doc/examples/dhcpd-dhcpv6.conf debian/tmp/dhcpd6.conf
+	# install
 	dh_install
 	# rename scripts
 	cp debian/dhclient-script.$(DEB_HOST_ARCH_OS) \
